<div class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center"
  style="min-height: 600px; background-image: url(assets/img/theme/profile-cover.jpg); background-size: cover; background-position: center top;">
  <span class="mask bg-gradient-danger opacity-8"></span>
  <div class="container-fluid d-flex align-items-center">
    <div class="row">
      <div class="col-lg-7 col-md-10">
      </div>
    </div>
  </div>
</div>
<div class="container-fluid mt--7" style="margin-top: -27rem !important;">
  <div class="row">
    <div class="col-xl-12 order-xl-2 mb-5 mb-xl-0" [ngStyle]="{'display': ToggleShowProfile}">
      <div class="card card-profile shadow p-3">
        <div class="row">

          <div class="col-lg-3 col-sm-12">
            <div class="" style="width: 173px;height: 100%;">
              <a href="javascript:void(0)">
                <img style="width: 100%;height: 173px;" src="{{user_profile}}"
                  class="rounded-circle">
                <div class="text-center mt-3">
                  <button class="btn btn-info " (click)="showProfileInfo()"><i class="fas fa-edit"></i>Edit
                    Profile</button>
                </div>
              </a>
            </div>
          </div>
          <div class="col-lg-8 col-sm-12 mt-3">
            <div class="h3 font-weight-700">
              <h3><i class="ni location_pin mr-2"></i><strong style="font-size: 23px;font-weight: 700;">{{fullname}}
              </strong></h3>
            </div>
            <div class="h5 font-weight-600">
              <i class="ni location_pin mr-2"></i><strong class="mr-2" style="font-size: 15px;font-weight: 700;"><i
                  class="fas fa-phone"></i>
              </strong>
              {{mobile}}
            </div>
            <div class="h5 font-weight-600" *ngIf="email">
              <i class="ni location_pin mr-2"></i><strong class="mr-2" style="font-size: 15px;font-weight: 700;"><i
                  class="fas fa-envelope"></i>
              </strong>
              {{email}}
            </div>
            <div class="h5 font-weight-300">
              <i class="ni location_pin mr-2"></i>
            </div>
            <div class="h5 font-weight-300">
              <i class="ni location_pin mr-2"></i><strong style="font-size: 15px;font-weight: 700;">Aadhaar Card:
              </strong> {{pan_card}}
            </div>
            <div class="h5 font-weight-300">
              <i class="ni location_pin mr-2"></i><strong style="font-size: 15px;font-weight: 700;">Pancard:
              </strong>
              {{pan_card}}
            </div>
            <div class="h5 font-weight-300" *ngIf="paddress">
              <i class="ni location_pin mr-2"></i><strong style="font-size: 15px;font-weight: 700;">Present
                Address:
              </strong> {{paddress+", "+pcity+", "+pstate+", "+pcode}}
            </div>
            <div class="h5 font-weight-300" *ngIf="caddress">
              <i class="ni location_pin mr-2"></i><strong style="font-size: 15px;font-weight: 700;">Current
                Address:
              </strong> {{caddress+", "+ccity+", "+cstate+", "+ccode}}
            </div>
          </div>



        </div>
        <hr class="my-4" />

        <div class="row">
          <div class="col-lg-6 col-sm-12">
            <h3>
              <strong> <i class="fas fa-wallet"></i> Wallet</strong>: {{wallet |currency:"INR":"symbol"}}
            </h3>
          </div>
          <div class="col-lg-6 col-sm-12">
            <a class="btn btn-danger" [routerLink]="['/withdrawal']">
              Withdraw
            </a>
          </div>

        </div>

        <hr class="my-4" />
        <hr class="my-4" />



        <div class="card-body pt-0 pt-md-4 mt-5">
          <div class="row">
            <div class="col">
              <div class="card-profile-stats d-flex justify-content-center mt-md-5 mt-5">

              </div>
            </div>
          </div>

          <div class="row">
            <div class="col-lg-12 col-sm-12">
              <h5 class="alert alert-danger" *ngIf="ErrorMsg">{{ErrorMsg}}</h5>
              <!-- <button class="btn btn-info" (click)="showProfileInfo()"><i class="fas fa-edit"></i></button> -->
              <hr class="my-4" />


            </div>

          </div>
          <hr class="my-4" />



        </div>
      </div>
    </div>
    <div class="col-xl-12 order-xl-1" [ngStyle]="{'display': ToggleEditProfile}">
      <div class="card bg-secondary shadow">
        <div class="card-header bg-white border-0">
          <div class="row align-items-center">
            <div class="col-8">
              <h3 class="mb-0">Edit My Profile</h3>
            </div>

          </div>
        </div>
        <div class="card-body">
          <h5 class="alert alert-danger" *ngIf="ErrorMsg">{{ErrorMsg}}</h5>

          <div class="container text-center">
            <div class="row">
              <div class="col-xs-12 col-sm-12 col-lg-3"></div>
              <div class="col-xs-12 col-sm-12 col-lg-3">
                <img style="width: 191px;height: 188px; margin-left:-30px" src="{{user_profile}}"
                  class="rounded-circle">
                <input type="file" class="custom-file-input" id="validatedCustomFile"
                  (change)="uploadProfile($event.target.files)" placeholder="Change Profile">
                <label for="validatedCustomFile" class="btn btn-info"><i class="fas fa-user"></i>Change profile</label>

              </div>
              <div class="col-sm-12 col-lg-12 mb-5"></div>
            </div>
            <hr class="my-4" />

          </div>
          <div class="container-fluid">

            <form [formGroup]="UserProfileForm" (ngSubmit)="UserProfileSubmit()">
              <h6 class="heading-small text-muted mb-4">User information</h6>
              <div class="pl-lg-4">
                <input type="hidden" id="action" class="form-control form-control-alternative" placeholder="action"
                  name="action" formControlName="action">


                <div class="row">
                  <div class="col-lg-6">
                    <div class="form-group">
                      <label class="form-control-label" for="fullname">Full Name</label>
                      <input type="text" id="fullname" class="form-control form-control-alternative"
                        placeholder="Full Name" name="fullname" formControlName="fullname">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="fullnameField && fullnameField.invalid && fullnameField.touched">Invalid Fullname</span>
                    </div>
                  </div>
                  <div class="col-lg-6">
                    <div class="form-group">
                      <label class="form-control-label" for="email">Email</label>
                      <input type="email" id="email" class="form-control form-control-alternative"
                        placeholder="Your Email" name="email" formControlName="email">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="emailField && emailField.invalid && emailField.touched">Invalid Email</span>

                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-6">
                    <div class="form-group">
                      <label class="form-control-label" for="input-first-name">Aadhaar Card</label>
                      <input type="text" id="input-first-name" class="form-control form-control-alternative"
                        placeholder="Aadhaar Card" name="aadhaar_card" formControlName="aadhaar_card">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="aadhaar_cardField && aadhaar_cardField.invalid && aadhaar_cardField.touched">Invalid
                        Aadhaar Card</span>

                    </div>
                  </div>
                  <div class="col-lg-6">
                    <div class="form-group">
                      <label class="form-control-label" for="input-last-name">Pan Card</label>
                      <input type="text" id="input-last-name" class="form-control form-control-alternative"
                        placeholder="Pan Card" name="pan_card" formControlName="pan_card">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="pan_cardField && pan_cardField.invalid && pan_cardField.touched">Invalid Pan Card</span>

                    </div>
                  </div>
                </div>
              </div>

              <hr class="my-4" />
              <h6 class="heading-small text-muted mb-4">Permanent Address</h6>
              <div class="pl-lg-4">
                <div class="row">
                  <div class="col-md-12">
                    <div class="form-group">
                      <label class="form-control-label" for="input-address">Address</label>
                      <input id="input-address" class="form-control form-control-alternative" placeholder="Address"
                        type="text" name="paddress" formControlName="paddress">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="paddressField && paddressField.invalid && paddressField.touched">Invalid Address</span>

                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-4">
                    <div class="form-group">
                      <label class="form-control-label" for="input-city">City</label>
                      <input type="text" id="input-city" class="form-control form-control-alternative"
                        placeholder="City" name="pcity" formControlName="pcity">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="pcityField && pcityField.invalid && pcityField.touched">Invalid City</span>

                    </div>
                  </div>
                  <div class="col-lg-4">
                    <div class="form-group">
                      <label class="form-control-label" for="input-country">State</label>
                      <input type="text" id="input-country" class="form-control form-control-alternative"
                        placeholder="State" name="pstate" formControlName="pstate">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="pstateField && pstateField.invalid && pstateField.touched">Invalid State</span>

                    </div>
                  </div>
                  <div class="col-lg-4">
                    <div class="form-group">
                      <label class="form-control-label" for="input-country">Postal code</label>
                      <input type="number" id="input-postal-code" class="form-control form-control-alternative"
                        placeholder="Postal code" name="pcode" formControlName="pcode">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="pcodeField && pcodeField.invalid && pcodeField.touched">Invalid Code</span>

                    </div>
                  </div>
                </div>
              </div>
              <hr class="my-4" />
              <h6 class="heading-small text-muted mb-4">Present Address</h6>
              <div class="pl-lg-4">
                <div class="row">
                  <div class="col-md-12">
                    <div class="form-group">
                      <label class="form-control-label" for="input-address">Address</label>
                      <input id="input-address" class="form-control form-control-alternative" placeholder="Address"
                        type="text" name="caddress" formControlName="caddress">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="caddressField && caddressField.invalid && caddressField.touched">Invalid Address</span>

                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-4">
                    <div class="form-group">
                      <label class="form-control-label" for="input-city">City</label>
                      <input type="text" id="input-city" class="form-control form-control-alternative"
                        placeholder="City" name="ccity" formControlName="ccity">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="ccityField && ccityField.invalid && ccityField.touched">Invalid City</span>

                    </div>
                  </div>
                  <div class="col-lg-4">
                    <div class="form-group">
                      <label class="form-control-label" for="input-country">State</label>
                      <input type="text" id="input-country" class="form-control form-control-alternative"
                        placeholder="State" name="cstate" formControlName="cstate">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="cstateField && cstateField.invalid && cstateField.touched">Invalid State</span>

                    </div>
                  </div>
                  <div class="col-lg-4">
                    <div class="form-group">
                      <label class="form-control-label" for="input-country">Postal code</label>
                      <input type="number" id="input-postal-code" class="form-control form-control-alternative"
                        placeholder="Postal code" name="ccode" formControlName="ccode">
                      <span style="font-size:10px" class="text-danger"
                        *ngIf="ccodeField && ccodeField.invalid && ccodeField.touched">Invalid Code</span>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container text-center"><button class="btn btn-danger" type="submit"
                  [disabled]="UserProfileForm.invalid">Update Profile</button></div>
              <hr class="my-4" />
            </form>
          </div>

        </div>
      </div>
    </div>
  </div>
</div>